SQLITE3_FILE(3) | Library Functions Manual | SQLITE3_FILE(3)

# NAME

`sqlite3_file`, `sqlite3_file` —
OS Interface Open File Handle

# SYNOPSIS

typedef struct sqlite3_file sqlite3_file;
struct sqlite3_file;

# DESCRIPTION

An sqlite3_file object represents an open file in the OS interface layer. Individual OS interface implementations will want to subclass this object by appending additional fields for their own use. The pMethods entry is a pointer to an sqlite3_io_methods object that defines methods for performing I/O operations on the open file.

# SEE ALSO

sqlite3_file(3), sqlite3_io_methods(3), sqlite3_vfs(3)

December 19, 2018 | NetBSD 9.0